Skip to content

List employees

Request

Security
oauth2ClientCredentials(Required scopes: employees:read)
Query
pagenumber

Page number (minimum: 1)

Example:page=1
limitnumber

Number of items per page (minimum: 1, maximum: 1000)

Example:limit=20
team_idstring

Filter by team ID

statusstring

Filter by employee status (e.g., ACTIVE, INACTIVE)

Example:status=ACTIVE
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/employees?page=1&limit=20&team_id=string&status=ACTIVE' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Paginated list of employees

Bodyapplication/json
docsArray of arrays

Employee documents

totalnumber

Total count

limitobject

Limit per page

pageobject

Current page

pagesnumber

Total pages

Response
{ "docs": [ [] ], "total": 0, "limit": {}, "page": {}, "pages": 0 }